Bug 29848 - Update wxgtk to 3.1.5 final and rebuild all pkgs depending it
Summary: Update wxgtk to 3.1.5 final and rebuild all pkgs depending it
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 8
Hardware: All Linux
Priority: Normal major
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 28352 28717 29291 29808 29869
  Show dependency treegraph
 
Reported: 2022-01-05 16:53 CET by Jani Välimaa
Modified: 2022-01-18 22:19 CET (History)
6 users (show)

See Also:
Source RPM: wxgtk-3.1.5-0.git20201230.1.mga8.src.rpm
CVE:
Status comment:


Attachments
Correct window for pre-update openyahtzee-1.9.3-10 (49.38 KB, image/png)
2022-01-12 21:23 CET, Lewis Smith
Details
Showing too-small yahtzee window after update (41.35 KB, image/png)
2022-01-13 21:57 CET, Lewis Smith
Details
Package list (412 bytes, text/plain)
2022-01-16 11:57 CET, Jani Välimaa
Details

Description Jani Välimaa 2022-01-05 16:53:56 CET
As there are some incompatibilities between pkgs built against wxgtk pre 3.1.5 git snapshot in core/release and the stable/final 3.1.5 update candidate in core/updates_testing the following pkgs needs to be rebuilt. In cauldron same is already done.

0ad
aegisub
aom
ariamaestosa
asc
audacity
boinc-client
codeblocks
codelite
cwstudio
diff-pdf
dvdstyler
erlang
flamerobin
freedink-dfarc
freedv
freefilesync
fskbsetting
gnudl
gnuplot
guayadeque
kicad
mediainfo
openbabel
opencpn
opencpn-ais-radar-plugin
opencpn-br24radar-plugin
opencpn-celestial-navigation-plugin
opencpn-chartdldr-plugin
opencpn-climatology-plugin
opencpn-iacfleet-plugin
opencpn-logbookkonni-plugin
opencpn-objsearch-plugin
opencpn-polar-plugin
opencpn-squiddio-plugin
opencpn-statusbar-plugin
opencpn-watchdog-plugin
opencpn-weatherfax-plugin
opencpn-weather-routing-plugin
openmsx
openyahtzee
plplot
python-wxpython4
radiotray-ng
scorched3d
slade
spek
tintii
trustedqsl
urbanlightscape
vbam
veracrypt
woeusb
wxformbuilder
wxhexeditor
wxmaxima
wxsqlite3
wxsvg
xchm
Comment 1 Jani Välimaa 2022-01-05 17:05:54 CET Comment hidden (obsolete)
Comment 2 Jani Välimaa 2022-01-05 21:19:18 CET
Looks like opencpn pkgs were switched from wxgtk3.1 --> wxgtk3.0 in bug29309, so they're mistakenly rebuilt.
Comment 3 Jani Välimaa 2022-01-05 21:43:31 CET
Updated aom-2.0.1-3.5.mga8 is handled in bug 29808.
Comment 4 Jani Välimaa 2022-01-05 21:44:41 CET
Updated kicad-6.0.0-1.mga8 and other kicad pkgs are handled in bug 28352.
Comment 5 Jani Välimaa 2022-01-05 21:49:27 CET
Updated 0ad-0.0.25b-1.mga8 was pushed earlier (2022-01-02), but I can't find any bug report about the update.
Comment 6 Jani Välimaa 2022-01-05 21:51:28 CET
SRPMS:
aegisub-3.2.2-14.git20191006.9.2.mga8
ariamaestosa-1.4.13-11.1.mga8
asc-2.6.1.0-20.1.mga8
audacity-2.4.2-9.1.mga8
boinc-client-7.16.14-2.1.mga8
codeblocks-20.03-4.1.mga8
codelite-14.0-4.1.mga8
cwstudio-0.9.6-8.1.mga8
diff-pdf-0.4.1-4.1.mga8
dvdstyler-3.1.2-3.1.mga8
erlang-23.2.1-3.1.mga8
flamerobin-0.9.3.1-13.1.mga8
freedink-dfarc-3.14-8.1.mga8
freedv-1.4-4.1.mga8
freefilesync-11.3-2.1.mga8
fskbsetting-0.3.5-6.1.mga8
gnudl-1.0.0-1.3.mga8
gnuplot-5.4.1-3.1.mga8
guayadeque-0.4.6-7.git20201222.2.1.mga8
mediainfo-20.09-2.1.mga8
openbabel-2.4.1-14.1.mga8
openmsx-0.15.0-9.1.mga8
openyahtzee-1.9.3-10.1.mga8
playonlinux-4.4-1.1.mga8
plplot-5.15.0-18.1.mga8
python-wxpython4-4.1.1-1.1.mga
radiotray-ng-0.2.7-12.1.mga8
scorched3d-44-14.1.mga8
slade-3.2.0-0.b2.3.1.mga8
spek-0.8.3-15.1.mga8
tintii-2.10.0-12.1.mga8
trustedqsl-2.5.7-2.1.mga8
urbanlightscape-1.4.0-12.1.mga8
vbam-2.1.4-1.1.mga8
veracrypt-1.24u7-7.1.mga8
woeusb-3.3.1-4.1.mga8
wxformbuilder-3.9.0-1.git20201102.2.1.mga8
wxgtk-3.1.5-1.mga8
wxhexeditor-0.24-9.1.mga8
wxmaxima-20.12.1-1.1.mga8
wxsqlite3-4.6.4-1.1.mga8
wxsvg-1.5.22-3.1.mga8
xchm-1.30-5.1.mga8
Comment 7 Jani Välimaa 2022-01-05 22:06:05 CET
Updated python-wxpython4-4.1.1-1.1.mga8 is handled in bug 29291.
David Walser 2022-01-05 23:30:26 CET

Blocks: (none) => 29808, 28352, 29291

Comment 8 Philippe Didier 2022-01-06 03:11:59 CET
(In reply to Jani Välimaa from comment #2)
> Looks like opencpn pkgs were switched from wxgtk3.1 --> wxgtk3.0 in
> bug29309, so they're mistakenly rebuilt.

Hi Jani
You are right 
but never mind they won't be modified by this attempt of rebuild :
I modified the spec files so that they remain strictly built upon wxgtk 3.0
and not with a non specified version of wxgtk : that had induced crashes when they had been rebuilt with the prerelease of wxgtk 3.1

The next version of opencpn (2.6.0) will be compatible with wxgtk 3.1.5 but it needs still some work...

Regards

Besides this I will test guayadeque ... 
but not on my old i586 computer ;-) the Mageia's Build Flags are not good for this :
https://bugs.mageia.org/show_bug.cgi?id=29742#c33

CC: (none) => philippedidier

Comment 9 Jani Välimaa 2022-01-06 17:16:04 CET Comment hidden (obsolete)
Comment 10 Jani Välimaa 2022-01-06 17:18:11 CET Comment hidden (obsolete)
Comment 11 Philippe Didier 2022-01-06 18:32:43 CET Comment hidden (obsolete)
Comment 12 Philippe Didier 2022-01-06 18:39:26 CET
For other programs crashing the BuildRequire must be rewritten to explicitely require the last version of wxgtk working inside Mageia8 !!!

Inside Cauldron there will be some advises to send upstream for some programs (unless their developers have already modified their code to comply with wxgtk 3.1.5)
Comment 13 Jani Välimaa 2022-01-06 18:57:35 CET
Better to open a separate bug about guayadeque.

Please also update all wxgtk libs from core/udpates_testing before trying it as it's running fine on mga8 virtualbox and cauldron real HW.
Comment 14 Morgan Leijström 2022-01-08 12:58:23 CET
Thank for all your work

Shouldn't the updated applications require the updated wxgtk?

When I select i.e the updated freefilesync in drakrpm, and only have the old wxgtk, it do neither protest nor suggest the new wxgtk.

CC: (none) => fri

Comment 15 Dave Hodgins 2022-01-08 18:09:55 CET
(In reply to Morgan Leijström from comment #14)
> Shouldn't the updated applications require the updated wxgtk?

No, they just require a (any) version of the wxgtk packages.
 
> When I select i.e the updated freefilesync in drakrpm, and only have the old
> wxgtk, it do neither protest nor suggest the new wxgtk.

When/if they are moved to the updates repo they will be installed as a normal
part of updates.

When testing the updates, the updated wxgtk packages should be manually selected
too.

CC: (none) => davidwhodgins

Comment 16 Philippe Didier 2022-01-09 13:00:35 CET
Hi Jani
I updated all the wxgtk packages to final release 
from Mageia8-Core-Updates-testing

Then tested the only programs that I use and Know

1) - updated audacity OK
except this warning when launche from a console :
(Audacity:16827): Gtk-WARNING **: 12:48:12.909: gtk_disable_setlocale() must be called before gtk_init()
(Audacity:16827): Gtk-WARNING **: 12:48:12.911: A floating object was finalized. This means that someone
called g_object_unref() on an object that had only a floating
reference; the initial floating reference is not owned by anyone
and must be removed with g_object_ref_sink().

NB that doesn't prevent it to work

2) - updated guayadeque OK too
There's only a warning when launched from console :
(guayadeque:14372): Gtk-CRITICAL **: 12:29:37.428: gtk_widget_set_size_request: assertion 'height >= -1' failed

NB that doesn't prevent it to work

3) - updated freefilesync OK

NB freefilesync informs that there is a new version 11.16 it may be a good occasion to update it to this new version when rebuilding it to wxgtk 3.1.5 final


4) BUT
- updated dvdstyler crashes (core dumped) with wxgtk 3.1.5 final when it worked perfectly with the pre release version of wxgtk
Comment 17 Philippe Didier 2022-01-09 13:03:22 CET
(In reply to Jani Välimaa from comment #13)
> Better to open a separate bug about guayadeque.
> 
> Please also update all wxgtk libs from core/udpates_testing before trying it
> as it's running fine on mga8 virtualbox and cauldron real HW.

Sorry I didn't do that when I wrote this comment
https://bugs.mageia.org/show_bug.cgi?id=29848#c11  which is useless now !
Comment 18 Morgan Leijström 2022-01-09 13:34:35 CET
(In reply to Dave Hodgins from comment #15)
> (In reply to Morgan Leijström from comment #14)
> > Shouldn't the updated applications require the updated wxgtk?
> 
> No, they just require a (any) version of the wxgtk packages.

Practical test disagree:

Kicad 5.1.9-2 works *only* with old wxgtk.

boincmgr, freefilesync, urbanlightscape works *only* with the updated.

Kicad 6.0.0-1 works with new wxgtk, did not test it on old.

I have not tested more, yet.

Running on 64 bit plasma.
Comment 19 Morgan Leijström 2022-01-09 13:38:58 CET
All tests in previous comment, i see, was with
python3-wxpython4-4.1.1-1.1.mga8.x86_64
pulled during install of Kicad 5.1.9-2
Comment 20 Jani Välimaa 2022-01-09 13:46:58 CET
(In reply to Philippe Didier from comment #16)
> 4) BUT
> - updated dvdstyler crashes (core dumped) with wxgtk 3.1.5 final when it
> worked perfectly with the pre release version of wxgtk
dvdstyler needs also updated wxsvg. dvdstyler starts with updated wxsvg, but emits a msg:
dvdstyler: Symbol `_ZTV9wxSVGCtrl' has different size in shared object, consider re-linking.

I'll push another rebuild of dvdstyler with rebuilt wxsvg.
Comment 21 Jani Välimaa 2022-01-09 14:19:33 CET
All SRPMS and associated RPMS. Updated dvdstyler and added wxgtk rpms. Comment 10 is now obsolete.

SRPM:
wxgtk-3.1.5-1.mga8
RPMS:
wxgtk3.1-3.1.5-1.mga8
lib(64)wx_baseu3.1_5-3.1.5-1.mga8
lib(64)wx_baseu_net3.1_5-3.1.5-1.mga8
lib(64)wx_baseu_xml3.1_5-3.1.5-1.mga8
lib(64)wx_gtk3u_adv3.1_5-3.1.5-1.mga8
lib(64)wx_gtk3u_aui3.1_5-3.1.5-1.mga8
lib(64)wx_gtk3u_core3.1_5-3.1.5-1.mga8
lib(64)wx_gtk3u_gl3.1_5-3.1.5-1.mga8
lib(64)wx_gtk3u_html3.1_5-3.1.5-1.mga8
lib(64)wx_gtk3u_media3.1_5-3.1.5-1.mga8
lib(64)wx_gtk3u_propgrid3.1_5-3.1.5-1.mga8
lib(64)wx_gtk3u_qa3.1_5-3.1.5-1.mga8
lib(64)wx_gtk3u_ribbon3.1_5-3.1.5-1.mga8
lib(64)wx_gtk3u_richtext3.1_5-3.1.5-1.mga8
lib(64)wx_gtk3u_stc3.1_5-3.1.5-1.mga8
lib(64)wx_gtk3u_xrc3.1_5-3.1.5-1.mga8
lib(64)wx_gtk3u_webview3.1_5-3.1.5-1.mga8
lib(64)wxgtku3.1-devel-3.1.5-1.mga8

SRPM:
aegisub-3.2.2-14.git20191006.9.2.mga8
RPMS:
aegisub-3.2.2-14.git20191006.9.2.mga8

SRPM:
ariamaestosa-1.4.13-11.1.mga8
RPMS:
ariamaestosa-1.4.13-11.1.mga8

SRPM:
asc-2.6.1.0-20.1.mga8
RPMS:
asc-data-2.6.1.0-20.1.mga8
asc-2.6.1.0-20.1.mga8


SRPM:
boinc-client-7.16.14-2.1.mga8
RPMS:
boinc-client-static-7.16.14-2.1.mga8
boinc-manager-7.16.14-2.1.mga8
boinc-client-7.16.14-2.1.mga8
boinc-client-devel-7.16.14-2.1.mga8

SRPM:
cwstudio-0.9.6-8.1.mga8
RPMS:
cwstudio-0.9.6-8.1.mga8

SRPM:
diff-pdf-0.4.1-4.1.mga8
RPMS:
diff-pdf-0.4.1-4.1.mga8

SRPM:
audacity-2.4.2-9.1.mga8
RPMS:
audacity-2.4.2-9.1.mga8

SRPM:
dvdstyler-3.1.2-3.2.mga8
RPMS:
dvdstyler-3.1.2-3.2.mga8

SRPM:
flamerobin-0.9.3.1-13.1.mga8
RPMS:
flamerobin-0.9.3.1-13.1.mga8

SRPM:
freedv-1.4-4.1.mga8
RPMS:
freedv-1.4-4.1.mga8

SRPM:
freedink-dfarc-3.14-8.1.mga8
RPMS:
freedink-dfarc-3.14-8.1.mga8

SRPM:
codeblocks-20.03-4.1.mga8
RPMS:
lib(64)codeblocks-devel-20.03-4.1.mga8
codeblocks-20.03-4.1.mga8
lib(64)codeblocks0-20.03-4.1.mga8

SRPM:
fskbsetting-0.3.5-6.1.mga8
RPMS:
fskbsetting-0.3.5-6.1.mga8

SRPM:
freefilesync-11.3-2.1.mga8
RPMS:
freefilesync-11.3-2.1.mga8

SRPM:
codelite-14.0-4.1.mga8
RPMS:
codelite-14.0-4.1.mga8

SRPM:
gnudl-1.0.0-1.3.mga8
RPMS:
gnudl-1.0.0-1.3.mga8

SRPM:
erlang-23.2.1-3.1.mga8
RPMS:
erlang-23.2.1-3.1.mga8
erlang-stdlib-23.2.1-3.1.mga8
erlang-parsetools-23.2.1-3.1.mga8
erlang-debugger-23.2.1-3.1.mga8
erlang-tools-23.2.1-3.1.mga8
erlang-examples-23.2.1-3.1.mga8
erlang-odbc-23.2.1-3.1.mga8
erlang-common_test-23.2.1-3.1.mga8
erlang-sasl-23.2.1-3.1.mga8
erlang-tftp-23.2.1-3.1.mga8
erlang-ssl-23.2.1-3.1.mga8
erlang-os_mon-23.2.1-3.1.mga8
erlang-hipe-23.2.1-3.1.mga8
erlang-dialyzer-23.2.1-3.1.mga8
erlang-observer-23.2.1-3.1.mga8
erlang-mnesia-23.2.1-3.1.mga8
erlang-crypto-23.2.1-3.1.mga8
erlang-erl_interface-23.2.1-3.1.mga8
erlang-runtime_tools-23.2.1-3.1.mga8
erlang-jinterface-23.2.1-3.1.mga8
erlang-public_key-23.2.1-3.1.mga8
erlang-ftp-23.2.1-3.1.mga8
erlang-erl_docgen-23.2.1-3.1.mga8
erlang-reltool-23.2.1-3.1.mga8
erlang-snmp-23.2.1-3.1.mga8
erlang-inets-23.2.1-3.1.mga8
erlang-ssh-23.2.1-3.1.mga8
erlang-edoc-23.2.1-3.1.mga8
erlang-doc-23.2.1-3.1.mga8
erlang-wx-23.2.1-3.1.mga8
erlang-eunit-23.2.1-3.1.mga8
erlang-xmerl-23.2.1-3.1.mga8
erlang-kernel-23.2.1-3.1.mga8
erlang-diameter-23.2.1-3.1.mga8
erlang-syntax_tools-23.2.1-3.1.mga8
erlang-compiler-23.2.1-3.1.mga8
erlang-erts-23.2.1-3.1.mga8
erlang-eldap-23.2.1-3.1.mga8
erlang-asn1-23.2.1-3.1.mga8
erlang-et-23.2.1-3.1.mga8
erlang-megaco-23.2.1-3.1.mga8

SRPM:
gnuplot-5.4.1-3.1.mga8
RPMS:
gnuplot-mode-5.4.1-3.1.mga8
gnuplot-5.4.1-3.1.mga8
gnuplot-nox-5.4.1-3.1.mga8
gnuplot-qt-5.4.1-3.1.mga8

SRPM:
guayadeque-0.4.6-7.git20201222.2.1.mga8
RPMS:				
guayadeque-0.4.6-7.git20201222.2.1.mga8

SRPM:
openbabel-2.4.1-14.1.mga8
RPMS:
lib(64)openbabel5-2.4.1-14.1.mga8
lib(64)openbabel-devel-2.4.1-14.1.mga8
openbabel-2.4.1-14.1.mga8
perl-openbabel-2.4.1-14.1.mga8
python3-openbabel-2.4.1-14.1.mga8
ruby-openbabel-2.4.1-14.1.mga8

SRPM:
openyahtzee-1.9.3-10.1.mga8
RPMS:
openyahtzee-1.9.3-10.1.mga8

SRPM:
mediainfo-20.09-2.1.mga8
RPMS:
mediainfo-gui-common-20.09-2.1.mga8
mediainfo-gui-wx-20.09-2.1.mga8
mediainfo-20.09-2.1.mga8
mediainfo-gui-qt-20.09-2.1.mga8

SRPM:
radiotray-ng-0.2.7-12.1.mga8
RPMS:
radiotray-ng-0.2.7-12.1.mga8

SRPM:
plplot-5.15.0-18.1.mga8
RPMS:
ocaml-plplot-5.15.0-18.1.mga8
python3-plplot-qt5-5.15.0-18.1.mga8
lib(64)qsastime0-5.15.0-18.1.mga8
lib(64)plplot-devel-5.15.0-18.1.mga8
plplot-5.15.0-18.1.mga8
lib(64)plplottcltk_main1-5.15.0-18.1.mga8
lib(64)plplotada4-5.15.0-18.1.mga8
python3-plplot-5.15.0-18.1.mga8
lib(64)plplot17-5.15.0-18.1.mga8
java-plplot-5.15.0-18.1.mga8
lib(64)tclmatrix10-5.15.0-18.1.mga8
lib(64)plplotqt2-5.15.0-18.1.mga8
lib(64)plplotcxx15-5.15.0-18.1.mga8
lib(64)plplotfortran0-5.15.0-18.1.mga8
d-plplot-5.15.0-18.1.mga8
lib(64)plplotwxwidgets1-5.15.0-18.1.mga8
lib(64)csiro0-5.15.0-18.1.mga8
lua-plplot-5.15.0-18.1.mga8
lib(64)plplottcltk14-5.15.0-18.1.mga8

SRPM:
spek-0.8.3-15.1.mga8
RPMS:
spek-0.8.3-15.1.mga8

SRPM:
scorched3d-44-14.1.mga8
RPMS:
scorched3d-44-14.1.mga8

SRPM:
slade-3.2.0-0.b2.3.1.mga8
RPMS:
slade-3.2.0-0.b2.3.1.mga8

SRPM:
tintii-2.10.0-12.1.mga8
RPMS:
tintii-2.10.0-12.1.mga8

SRPM:
trustedqsl-2.5.7-2.1.mga8
RPMS:
trustedqsl-2.5.7-2.1.mga8

SRPM:
urbanlightscape-1.4.0-12.1.mga8
RPMS:
urbanlightscape-1.4.0-12.1.mga8

SRPM:
vbam-2.1.4-1.1.mga8
RPMS:
vbam-2.1.4-1.1.mga8

SRPM:
veracrypt-1.24u7-7.1.mga8
RPMS:
veracrypt-1.24u7-7.1.mga8

SRPM:
openmsx-0.15.0-9.1.mga8
RPMS:
openmsx-catapult-0.15.0-9.1.mga8
openmsx-0.15.0-9.1.mga8

SRPM:
woeusb-3.3.1-4.1.mga8
RPMS:
woeusb-3.3.1-4.1.mga8

SRPM:
wxformbuilder-3.9.0-1.git20201102.2.1.mga8
RPMS:
wxformbuilder-3.9.0-1.git20201102.2.1.mga8

SRPM:
wxhexeditor-0.24-9.1.mga8
RPMS:
wxhexeditor-0.24-9.1.mga8

SRPM:
wxmaxima-20.12.1-1.1.mga8
RPMS:
wxmaxima-20.12.1-1.1.mga8

SRPM:
wxsqlite3-4.6.4-1.1.mga8
RPMS:
lib(64)wx_gtk3u_wxsqlite3_3.1_0-4.6.4-1.1.mga8
lib(64)wx_gtk3u_wxsqlite3_3.1-devel-4.6.4-1.1.mga8

SRPM:
wxsvg-1.5.22-3.1.mga8
RPMS:
lib(64)wxsvg3-1.5.22-3.1.mga8
lib(64)wxsvg-devel-1.5.22-3.1.mga8

SRPM:
xchm-1.30-5.1.mga8
RPMS:
xchm-1.30-5.1.mga8
Comment 22 Jani Välimaa 2022-01-09 14:20:40 CET
All packages aplhabetically. Updated dvdstyler. Comment 9 is now obsolete.

aegisub-3.2.2-14.git20191006.9.2.mga8
ariamaestosa-1.4.13-11.1.mga8
asc-2.6.1.0-20.1.mga8
asc-data-2.6.1.0-20.1.mga8
audacity-2.4.2-9.1.mga8
boinc-client-7.16.14-2.1.mga8
boinc-client-devel-7.16.14-2.1.mga8
boinc-client-static-7.16.14-2.1.mga8
boinc-manager-7.16.14-2.1.mga8
codeblocks-20.03-4.1.mga8
codelite-14.0-4.1.mga8
cwstudio-0.9.6-8.1.mga8
diff-pdf-0.4.1-4.1.mga8
d-plplot-5.15.0-18.1.mga8
dvdstyler-3.1.2-3.2.mga8
erlang-23.2.1-3.1.mga8
erlang-asn1-23.2.1-3.1.mga8
erlang-common_test-23.2.1-3.1.mga8
erlang-compiler-23.2.1-3.1.mga8
erlang-crypto-23.2.1-3.1.mga8
erlang-debugger-23.2.1-3.1.mga8
erlang-dialyzer-23.2.1-3.1.mga8
erlang-diameter-23.2.1-3.1.mga8
erlang-doc-23.2.1-3.1.mga8
erlang-edoc-23.2.1-3.1.mga8
erlang-eldap-23.2.1-3.1.mga8
erlang-erl_docgen-23.2.1-3.1.mga8
erlang-erl_interface-23.2.1-3.1.mga8
erlang-erts-23.2.1-3.1.mga8
erlang-et-23.2.1-3.1.mga8
erlang-eunit-23.2.1-3.1.mga8
erlang-examples-23.2.1-3.1.mga8
erlang-ftp-23.2.1-3.1.mga8
erlang-hipe-23.2.1-3.1.mga8
erlang-inets-23.2.1-3.1.mga8
erlang-jinterface-23.2.1-3.1.mga8
erlang-kernel-23.2.1-3.1.mga8
erlang-megaco-23.2.1-3.1.mga8
erlang-mnesia-23.2.1-3.1.mga8
erlang-observer-23.2.1-3.1.mga8
erlang-odbc-23.2.1-3.1.mga8
erlang-os_mon-23.2.1-3.1.mga8
erlang-parsetools-23.2.1-3.1.mga8
erlang-public_key-23.2.1-3.1.mga8
erlang-reltool-23.2.1-3.1.mga8
erlang-runtime_tools-23.2.1-3.1.mga8
erlang-sasl-23.2.1-3.1.mga8
erlang-snmp-23.2.1-3.1.mga8
erlang-ssh-23.2.1-3.1.mga8
erlang-ssl-23.2.1-3.1.mga8
erlang-stdlib-23.2.1-3.1.mga8
erlang-syntax_tools-23.2.1-3.1.mga8
erlang-tftp-23.2.1-3.1.mga8
erlang-tools-23.2.1-3.1.mga8
erlang-wx-23.2.1-3.1.mga8
erlang-xmerl-23.2.1-3.1.mga8
flamerobin-0.9.3.1-13.1.mga8
freedink-dfarc-3.14-8.1.mga8
freedv-1.4-4.1.mga8
freefilesync-11.3-2.1.mga8
fskbsetting-0.3.5-6.1.mga8
gnudl-1.0.0-1.3.mga8
gnuplot-5.4.1-3.1.mga8
gnuplot-mode-5.4.1-3.1.mga8
gnuplot-nox-5.4.1-3.1.mga8
gnuplot-qt-5.4.1-3.1.mga8
guayadeque-0.4.6-7.git20201222.2.1.mga8
java-plplot-5.15.0-18.1.mga8
lib(64)codeblocks0-20.03-4.1.mga8
lib(64)codeblocks-devel-20.03-4.1.mga8
lib(64)csiro0-5.15.0-18.1.mga8
lib(64)openbabel5-2.4.1-14.1.mga8
lib(64)openbabel-devel-2.4.1-14.1.mga8
lib(64)plplot17-5.15.0-18.1.mga8
lib(64)plplotada4-5.15.0-18.1.mga8
lib(64)plplotcxx15-5.15.0-18.1.mga8
lib(64)plplot-devel-5.15.0-18.1.mga8
lib(64)plplotfortran0-5.15.0-18.1.mga8
lib(64)plplotqt2-5.15.0-18.1.mga8
lib(64)plplottcltk14-5.15.0-18.1.mga8
lib(64)plplottcltk_main1-5.15.0-18.1.mga8
lib(64)plplotwxwidgets1-5.15.0-18.1.mga8
lib(64)qsastime0-5.15.0-18.1.mga8
lib(64)tclmatrix10-5.15.0-18.1.mga8
lib(64)wx_baseu3.1_5-3.1.5-1.mga8
lib(64)wx_baseu_net3.1_5-3.1.5-1.mga8
lib(64)wx_baseu_xml3.1_5-3.1.5-1.mga8
lib(64)wx_gtk3u_adv3.1_5-3.1.5-1.mga8
lib(64)wx_gtk3u_aui3.1_5-3.1.5-1.mga8
lib(64)wx_gtk3u_core3.1_5-3.1.5-1.mga8
lib(64)wx_gtk3u_gl3.1_5-3.1.5-1.mga8
lib(64)wx_gtk3u_html3.1_5-3.1.5-1.mga8
lib(64)wx_gtk3u_media3.1_5-3.1.5-1.mga8
lib(64)wx_gtk3u_propgrid3.1_5-3.1.5-1.mga8
lib(64)wx_gtk3u_qa3.1_5-3.1.5-1.mga8
lib(64)wx_gtk3u_ribbon3.1_5-3.1.5-1.mga8
lib(64)wx_gtk3u_richtext3.1_5-3.1.5-1.mga8
lib(64)wx_gtk3u_stc3.1_5-3.1.5-1.mga8
lib(64)wx_gtk3u_webview3.1_5-3.1.5-1.mga8
lib(64)wx_gtk3u_wxsqlite3_3.1_0-4.6.4-1.1.mga8
lib(64)wx_gtk3u_wxsqlite3_3.1-devel-4.6.4-1.1.mga8
lib(64)wx_gtk3u_xrc3.1_5-3.1.5-1.mga8
lib(64)wxgtku3.1-devel-3.1.5-1.mga8
lib(64)wxsvg3-1.5.22-3.1.mga8
lib(64)wxsvg-devel-1.5.22-3.1.mga8
lua-plplot-5.15.0-18.1.mga8
mediainfo-20.09-2.1.mga8
mediainfo-gui-common-20.09-2.1.mga8
mediainfo-gui-qt-20.09-2.1.mga8
mediainfo-gui-wx-20.09-2.1.mga8
ocaml-plplot-5.15.0-18.1.mga8
openbabel-2.4.1-14.1.mga8
openmsx-0.15.0-9.1.mga8
openmsx-catapult-0.15.0-9.1.mga8
openyahtzee-1.9.3-10.1.mga8
perl-openbabel-2.4.1-14.1.mga8
plplot-5.15.0-18.1.mga8
python3-openbabel-2.4.1-14.1.mga8
python3-plplot-5.15.0-18.1.mga8
python3-plplot-qt5-5.15.0-18.1.mga8
radiotray-ng-0.2.7-12.1.mga8
ruby-openbabel-2.4.1-14.1.mga8
scorched3d-44-14.1.mga8
slade-3.2.0-0.b2.3.1.mga8
spek-0.8.3-15.1.mga8
tintii-2.10.0-12.1.mga8
trustedqsl-2.5.7-2.1.mga8
urbanlightscape-1.4.0-12.1.mga8
vbam-2.1.4-1.1.mga8
veracrypt-1.24u7-7.1.mga8
woeusb-3.3.1-4.1.mga8
wxformbuilder-3.9.0-1.git20201102.2.1.mga8
wxgtk3.1-3.1.5-1.mga8
wxhexeditor-0.24-9.1.mga8
wxmaxima-20.12.1-1.1.mga8
xchm-1.30-5.1.mga8
Comment 23 Philippe Didier 2022-01-09 14:42:12 CET
(In reply to Jani Välimaa from comment #20)
> (In reply to Philippe Didier from comment #16)
> > 4) BUT
> > - updated dvdstyler crashes (core dumped) with wxgtk 3.1.5 final when it
> > worked perfectly with the pre release version of wxgtk
> dvdstyler needs also updated wxsvg. dvdstyler starts with updated wxsvg, but
> emits a msg:
> dvdstyler: Symbol `_ZTV9wxSVGCtrl' has different size in shared object,
> consider re-linking.
> 
> I'll push another rebuild of dvdstyler with rebuilt wxsvg.

Hi Jani
Congratulations 
dvdstyler-3.1.2-3.2 rebuilt upon wxsvg is OK now
Comment 24 Dave Hodgins 2022-01-09 17:12:03 CET
Does opencpn continue to work with the updated wxgtk packages installed?

If not, all of these updates will have to be moved to backports rather then
updates, so users can choose which packages break on their systems.

I.E. Have opencpn work or have kicad work, but not both.
Comment 25 Philippe Didier 2022-01-09 17:26:10 CET
Hi Dave and Jani

There is no problem for opencpn and its plugins : they remain built with gtk3.0 (the spec file is preventing to update this BuildRequire) 
And since gtk3.0 and gtk3.1.5 can stay side by side for Mageia8 opencpn is not affected

Beside this I can confirm everything works now for
audacity,
dvdstyler, 
freefilesync
guayadeque, 

tested on a real install of mageia8 up-to-date on  x86-64 hardware
Comment 26 Philippe Didier 2022-01-09 17:28:54 CET
PS I can't test the other programs : I never installed and don't use nor know them
Morgan Leijström 2022-01-10 13:42:14 CET

See Also: (none) => https://bugs.mageia.org/show_bug.cgi?id=28717

Jani Välimaa 2022-01-10 19:41:32 CET

Assignee: jani.valimaa => qa-bugs

Comment 27 Herman Viaene 2022-01-11 17:26:53 CET
Installed whole list and tried some
audacity OK
opencpn seems OK as far as I can see.
kicad segmentation fault
flamerobin opens in a far too small window,but it can be resized
openyahtzee opens in a far too small window,but it cannot be resized: useless
Radiotray-NG works OK
wxHexEditor gives after welcome window: ./src/common/socketiohandler.cpp(50): assert ""socket->m_fd != -1"" failed in Install_Callback(): shouldn't be called on invalid socket
Traceer/breekpunt-instructie (memorydump made)

CC: (none) => herman.viaene

Comment 28 Morgan Leijström 2022-01-11 17:29:46 CET
(In reply to Herman Viaene from comment #27)
> kicad segmentation fault

Did you  also install python-wxpython4-4.1.1-1.1.mga8, bug 29291?
Comment 29 Morgan Leijström 2022-01-11 18:21:03 CET
@Jani, for wxHexEditor, I see the same fault as Herman, #27

@Herman: correct kicad version: 5.1.12-1 ?

CC: (none) => jani.valimaa

Comment 30 Jani Välimaa 2022-01-11 18:39:53 CET
(In reply to Morgan Leijström from comment #29)
> @Jani, for wxHexEditor, I see the same fault as Herman, #27
> 

Same seems to be happening with pkg from core/release also. Hitting "Continue" multiple times makes app window to open at some point.
Morgan Leijström 2022-01-11 19:07:03 CET

Blocks: (none) => 29869

Comment 31 Morgan Leijström 2022-01-11 19:08:54 CET
Thanks Jani.
Opened bug 29869 for wxHexEditor, depending on this bug.

CC: jani.valimaa => (none)

Comment 32 Herman Viaene 2022-01-12 15:00:50 CET
@Morgan Comment 30:this new version seems OK, I will update bug 28532 accordingly.
Comment 33 Lewis Smith 2022-01-12 20:57:30 CET
I here hopefully identify what applications have been tested OK with the new
wxgtk-3.1.5-1, to aid people testing other applications.
Jani's monumental lists comment 21 & comment 22 are the references.

In addition, it seems to me that the following updated packages are part of the deal:
 kicad-5.1.12-1 OK https://bugs.mageia.org/show_bug.cgi?id=28352#c62
 python3-wxpython4-4.1.1-1.1 OK bug 29291
 wxsvg comment 20, comment 23 (need more detail)

Tested OK
---------
 audacity-2.4.2-9.1 comment 16 & comment 27
 boinc-manager-7.16.14-2.1 comment 18
 dvdstyler-3.1.2-3.2 comment 23
 freefilesync comment 16, comment 18
 opencpn comment 8, comment 27 (but this had no need to be updated. Is it still valid here? comment 25)
 python3-wxpython4-4.1.1-1.1 OK comment 19 &
  https://bugs.mageia.org/show_bug.cgi?id=29291#c6 &
  https://bugs.mageia.org/show_bug.cgi?id=28717#c31
 guayadeque comment 16
 radiotray-ng-0.2.7-12.1 comment 27
 urbanlightscape comment 18

OK?
---
 flamerobin-0.9.3.1-13.1 comment 27

No good
-------
 openyahtzee-1.9.3-10.1 comment 27
 wxhexeditor-0.24-9.1 bug 29869

I will try the last three to see whether the fault is in the current issued versions.

CC: (none) => lewyssmith

Comment 34 Lewis Smith 2022-01-12 21:14:57 CET
Previous flamerobin-0.9.3.1-13.mga8.x86_64
opens with a smallish window, but nothing unusual. OK.

Previous openyahtzee-1.9.3-10.mga8.x86_64
looks fine to me, will attach screenshot. True, the window cannot be resized, but it doesn not need to be on this system.

Previous wxhexeditor-0.24-9.mga8.x86_64
From Tools menu, license window briefly pops up & disappears. From terminal:
 $ wxHexEditor
 Segmentation fault (core dumped)
so the current fault was already there; bug 29869.
Comment 35 Lewis Smith 2022-01-12 21:23:32 CET
Created attachment 13083 [details]
Correct window for pre-update openyahtzee-1.9.3-10

Re Herman's comment 27 for the updated application's window being too small, hence useless. It was not before. To re-check after this update. It may be system dependant, here 1366x768.
Comment 36 Thomas Andrews 2022-01-12 22:29:51 CET
Used the list at http://madb.mageia.org/tools/listRpmsForQaBug/bugnum/29848/application/0 with qarepo to get the 64-bit rpms. Had to change to wxhexeditor-0.24-9.2 before qarepo would go ahead.

Updated what was already installed first, and gnuplot and guayadeque seem to be working. Have to try the 32-bit version of guayadeque before that gets a full OK. (bug 29742)

0ad would not install without the corresponding 0ad-data. It's there, just missed getting on the list. Went back after it with qarepo, installed it, and ran it. Seems OK.

That appears to be the limit of what I have used before. The rest are new to me, and I can't tell if problems are from this update, or from user(me) error.

The slade gui crashes without loading. It gives a bunch of "crash information," some of which seems to be related to wxWindow and wxControl. There is more, but I don't understand any of it. Too much to list here - this one may need its own bug.

Starting the wxformbuilder gui from the menu throws error message after error message, all related to wx in some fashion. I never did get it to run; after about 10 of these messages I gave up.

Installed the wx gui for mediainfo without the others. It seems to be OK.
Comment 37 Morgan Leijström 2022-01-12 23:29:24 CET
wxhexeditor-0.24-9.3.mga8 (this new version) bug 29869 is now perfectly OK
Comment 38 Thomas Andrews 2022-01-12 23:34:52 CET
"Have to try the 32-bit version of guayadeque before that gets a full OK. (bug 29742)"

The 32-bit version of guayadeque still crashes, just as it did before, in a Plasma install on 64-bit hardware using the server kernel.

For those confused by the reference to 0ad in Comment 36, it was mentioned in Comment 0, but was left off lists in later comments.
Comment 39 Thomas Andrews 2022-01-12 23:51:33 CET
(In reply to Thomas Andrews from comment #36)
> Used the list at
> http://madb.mageia.org/tools/listRpmsForQaBug/bugnum/29848/application/0
> with qarepo to get the 64-bit rpms. Had to change to wxhexeditor-0.24-9.2
> before qarepo would go ahead.
> 
Discovered this list was incomplete, so my 64-bit tests all have to be done again. This time I'm using the list in Comment 22, adding in packages for 0ad, and using a wild card to get the current wxhexeditor. (Hoping this list is now complete.)

> Updated what was already installed first, and gnuplot and guayadeque seem to
> be working. Have to try the 32-bit version of guayadeque before that gets a
> full OK. (bug 29742)

These two are still OK in 64-bit. Mentioned in Comment 38, 32-bit version of guayadeque still crashes.
> 
> 0ad would not install without the corresponding 0ad-data. It's there, just
> missed getting on the list. Went back after it with qarepo, installed it,
> and ran it. Seems OK.

0ad still OK.
> 
> That appears to be the limit of what I have used before. The rest are new to
> me, and I can't tell if problems are from this update, or from user(me)
> error.
> 
> The slade gui crashes without loading. It gives a bunch of "crash
> information," some of which seems to be related to wxWindow and wxControl.
> There is more, but I don't understand any of it. Too much to list here -
> this one may need its own bug.

With all of the packages updated, the slade gui now runs to a "first time SLADE Setup" screen, and with a full-screen main window.
> 
> Starting the wxformbuilder gui from the menu throws error message after
> error message, all related to wx in some fashion. I never did get it to run;
> after about 10 of these messages I gave up.

wxformbuilder now comes up with a proper-looking gui. I didn't go any farther than that, but I'd say it's probably OK.
> 
> Installed the wx gui for mediainfo without the others. It seems to be OK.

Mediainfo is still OK.

CC: (none) => andrewsfarm

Comment 40 Philippe Didier 2022-01-13 11:04:10 CET
(In reply to Thomas Andrews from comment #38)
> "Have to try the 32-bit version of guayadeque before that gets a full OK.
> (bug 29742)"
> 
> The 32-bit version of guayadeque still crashes, just as it did before, in a
> Plasma install on 64-bit hardware using the server kernel.
> 
The 32bits crash is not linked to wxgtk3.1.5 (if you install the same final release
as the one used to create the rpm)

1) The problem of guayadeque 32 bits is caused by the Mageia Build Flags used to build rpms : if I install the rpm on real 32bits Hardware guayadeque crashes

2) When I don't use the rpm but I simply build guayadeque from source with this build script : I got no crash 
#!/bin/bash

# avoid full rebuild if script is runs from symlinked location
cd $(readlink -f $(dirname $0))

./buildt
rm CMakeCache.txt
cmake ${1} . \
 -DCMAKE_BUILD_TYPE='Debug' \
 -DCMAKE_INSTALL_PREFIX=/usr \
 -DCMAKE_CXX_STANDARD="11" \
 && make ${2}

3) When I build it from source adding the mageia Build Flags it crashes :
#!/bin/bash

# avoid full rebuild if script is runs from symlinked location
cd $(readlink -f $(dirname $0))

./buildt
rm CMakeCache.txt
cmake ${1} . \
 -DCMAKE_BUILD_TYPE='Debug' \
 -DCMAKE_INSTALL_PREFIX=/usr \
 -DCMAKE_CXX_STANDARD="11" \
 && make ${2}
 CFLAGS="${CFLAGS:--O2 -g -pipe -Wformat -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4 -fasynchronous-unwind-tables}" ; export CFLAGS ; 
  CXXFLAGS="${CXXFLAGS:--O2 -g -pipe -Wformat -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4 -fasynchronous-unwind-tables}" ; export CXXFLAGS ; 
  FFLAGS="${FFLAGS:--O2 -g -pipe -Wformat -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4 -fasynchronous-unwind-tables }" ; export FFLAGS ; 
  FCFLAGS="${FCFLAGS:--O2 -g -pipe -Wformat -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4 -fasynchronous-unwind-tables }" ; export FCFLAGS ; 
  LDFLAGS="${LDFLAGS:- -Wl,--as-needed -Wl,--no-undefined -Wl,-z,relro -Wl,-O1 -Wl,--build-id -Wl,--enable-new-dtags}" ; export LDFLAGS



The problem already existed for the rpm from the core repo : look at https://bugs.mageia.org/show_bug.cgi?id=29742
There's no solution for this since we can't prevent the use of the build time flags when building a rpm for Mageia
Comment 41 Thomas Andrews 2022-01-13 14:16:37 CET
(In reply to Philippe Didier from comment #40)

> The problem already existed for the rpm from the core repo : look at
> https://bugs.mageia.org/show_bug.cgi?id=29742
> There's no solution for this since we can't prevent the use of the build
> time flags when building a rpm for Mageia

I have a comment on this, but it doesn't belong here. I will take it to the other bug.

But, if there is one of these packages that doesn't work on one arch but does on the other, could there be others? 

If we are going to support 32-bit systems, then we should be testing on them when there might be a specific 32-bit problem, whatever it is. That is part of QA's job.

So, I have real 32-bit hardware, and given enough time I can test several of these packages. But the hardware is slow, and I have a life beyond Mageia, so "enough time" might be longer than we are willing to wait. Should I begin, or is it probably unnecessary? Or, if some are more likely to exhibit 32-bit problems than others, which ones should be tested?
Comment 42 Morgan Leijström 2022-01-13 14:31:45 CET
Packages have same problem now as before the wxgtk change, I think we should ship them now with this update as is, in order not to delay it.

The big fixes users are waiting for and are ready, are PlayOnLinux and KiCAD.

We should just make sure this update does not break something that is not already broken.

(and remember to ship all rebuilt packages that depend on wxgtk3.1 simultaneously...)

Then open separate bugs per package that still does not work.
Morgan Leijström 2022-01-13 16:59:02 CET

Blocks: (none) => 29742

Comment 43 Philippe Didier 2022-01-13 17:28:47 CET
Hi Morgan

We may say that this update doesn't block 
https://bugs.mageia.org/show_bug.cgi?id=29742  !

the Mageia8 i586rpm of Guayadeque from Core Repo (built with the prerelease of wxgtk)
already crashed on some 32 bits hardwares when it was OK for 64bits

This is not at all linked to wxgtk but only a consequence of the rpm build flags used after Mageia7 

You may remove this blocking link since guayadeque works perfectly on 64bits, as it did before, after having been rebuilt in Updates-Testing upon wgtk 3.1.5 final release 
if you update all the wxgtk stuff in the same time


https://bugs.mageia.org/show_bug.cgi?id=29742 is stricly a "rpm build flags" bug
Philippe Didier 2022-01-13 17:39:37 CET

Blocks: 29742 => (none)

Comment 44 Thomas Andrews 2022-01-13 21:38:42 CET
So, what is left to test so we can send this on its way? (I'm a little lost...)
Comment 45 Lewis Smith 2022-01-13 21:55:43 CET
With new wxgtk3.1-3.1.5-1.mga8
and all lib64wx_* pkgs currently on my system that were eligible to be updated to 3.1.5-1
and new python3-wxpython4-4.1.1-1.mga8
all 64-bit.

aegisub OK
-------
Installed previous aegisub-3.2.2-14.git20191006.9.1.mga8.x86_64, it worked.
Updated it to new  aegisub-3.2.2-14.git20191006.9.2.mga8, it worked.

ariamaestosa ???
------------
Installed prev version ariamaestosa-1.4.13-11.mga8 did not work, failed repeatedly with:
"./src/common/socketiohandler.cpp(50): assert ""socket->m_fd != -1"" failed in Install_Callback(): shouldn't be called on invalid socket"
Updated to new version ariamaestosa-1.4.13-11.1.mga8, failed likewise.
This may be due to inconsistent pre/post update packages. To re-visit.

asc OK
---
Installed prev version asc-2.6.1.0-20.mga8, it worked (but beware: it runs fullscreen, Ctl/Alt/arrow stays in the game, so you cannot swap desktops thus).
Updated to new version asc-2.6.1.0-20.1.mga8, works likewise.

openyahtzee ???
-----------
Already had it installed, comment 34: openyahtzee-1.9.3-10.mga8, it worked.
Updated to new openyahtzee-1.9.3-10.1.mga8. Herman's comment 27 about a too-small-and-cannot-resize window I confirm; will attach screenshot.
Comment 46 Lewis Smith 2022-01-13 21:57:50 CET
Created attachment 13084 [details]
Showing too-small yahtzee window after update

With openyahtzee-1.9.3-10.1.mga8; the window cannot be resized.
Comment 47 Lewis Smith 2022-01-14 21:57:57 CET
With new wxgtk3.1-3.1.5-1.mga8
and all lib64wx_* pkgs currently on my system that were eligible to be updated to 3.1.5-1; and new python3-wxpython4-4.1.1-1.mga8. Aall 64-bit

cwstudio OK
--------
Before update: cwstudio-0.9.6-8.mga8 does not work with:
"./src/common/framecmn.cpp(407): assert ""m_frameStatusBar != __null"" failed in SetStatusText(): no statusbar to set text for"
This may be due to mixed versions of wxgtk....
After update: cwstudio-0.9.6-8.1.mga8, worked!

diff-pdf ???
--------
Before update: diff-pdf-0.4.1-4.mga8, could not make work, lots of errors suggesting re-linking.
Update to: diff-pdf-0.4.1-4.1.mga8. An improvement, all the errors went. So the update is OK from that point of view. EXCEPT:
- I could not find a menu entry for it; and under Cinnamon, the menu search field did not show it. (Same before update).
- Running from terminal, with a correct command line, it simply returned to the prompt without doing anything!

flamerobin OK
----------
Already installed: flamerobin-0.9.3.1-13.mga8 failed, dumped; not to worry. Mixed wxgtk stuff.
Update to: flamerobin-0.9.3.1-13.1.mga8 weems to work. Despite Herman's comment 27 about the small window size, this looked quite adequate for a starters; and as he said, can be re-sized.

freedv OK
------
Installed current: freedv-1.4-4.mga8; did not work mixed wxgtk stuff.
Updated to:        freedv-1.4-4.1.mga8, looked to work fine.

freedink-dfarc OK
--------------
Installed current: freedink-dfarc-3.14-8.mga8
Having installed instead just 'freedink', I got:
 freedink-data-1.08.20190120-2.mga8
 freedink-109.6-2.mga8
 freedink-dfarc-3.14-8.mga8
& 3 menu entries/
- DFarc (crashed, GTK problems, crashed, acceptable here).
- Freedink, fullscreen game, seemed alive & kicking.
- FreedinkEdit, fullscreen something, displayed & 'lived'.
Updated to new: freedink-dfarc-3.14-8.1.mga8, it displayed & worked fine.

codeblocks OK ?
----------
Installed the current versions:
 lib64codeblocks0-20.03-4.mga8
 codeblocks-20.03-4.mga8, which crashed; no surprise.
Updated to the new:
 lib64codeblocks0-20.03-4.1.mga8
 codeblocks-20.03-4.1.mga8
which does launch OK. However, it starts with an error:
"./src/gtk/choice.cpp(284): assert ""Assert failure"" failed in GetString(): invalid index"
dismissing which 'continue' then starts the full GUI which nominally works. (The first time, it first displays a list of found compilers).
Can anyone check this in a totally UN-updated system?
Comment 48 Dave Hodgins 2022-01-14 23:53:17 CET
Regarding diff-pdf, tested it with a couple of unrelated pdf files I have.
diff-pdf --output-diff=diff.pdf 210grandsale.pdf Slinky_flyer.pdf

It generated diff.pdf showing the differences when viewed with xpdf, so
it's working now. It also sets the return code to indicate the files are
different.

Note there is no menu entry or man page. Just
/usr/share/doc/diff-pdf/README.md describing how to use the command line
tool.
Comment 49 Morgan Leijström 2022-01-15 00:00:27 CET
diff-pdf works here too.
It is a command line utility, but including option --view it opens a window.
Compared two large pdf manuals, with worked nicely.

BTW, do not confuse it with diffpdf (whithout a hyphen) which is a GUI tool. Which runs faster and is better at being a GUI tool anyways. Regarding features I have not compared them.
Morgan Leijström 2022-01-15 00:08:40 CET

Blocks: (none) => 28717
See Also: https://bugs.mageia.org/show_bug.cgi?id=28717 => (none)

Comment 50 Jani Välimaa 2022-01-15 20:50:00 CET
(In reply to Lewis Smith from comment #46)
> Created attachment 13084 [details]
> Showing too-small yahtzee window after update
> 
> With openyahtzee-1.9.3-10.1.mga8; the window cannot be resized.
Finally figured out what's the problem.

The issue with openyathzee is caused by a regression in wxgtk 3.1.5, but it's fixed in upstream GIT with the following commits:
https://github.com/wxWidgets/wxWidgets/commit/136574b1e0ca3a7165d379261952dfb3fb2f5ca6
https://github.com/wxWidgets/wxWidgets/commit/912f4b76ac42a79ff772cc9ea5cf8cb5c3f09960

The problem is that if I apply those patches, I need to rebuild all pkgs requiring lib(64)wx_gtk3u_core3.1_5 again. :\

Openyahtzee launched with fixed wxgtk crashes with undefined symbols:
$ openyahtzee 
openyahtzee: symbol lookup error: openyahtzee: undefined symbol: _ZN19wxTopLevelWindowGTK29WXSetInitialFittingClientSizeEi, version WXU_3.1
Comment 51 Lewis Smith 2022-01-15 21:58:44 CET
Re-checking new diff-pdf-0.4.1-4.1.mga8   OK
                --------
It seems to need either the --output-diff parameter (Dave) to produce an output file; or the --view parameter (Morgan); to actually do something.

(In reply to Jani Välimaa from comment #50)
> (In reply to Lewis Smith from comment #46)
> > Created attachment 13084 [details]
> > Showing too-small yahtzee window after update
> > With openyahtzee-1.9.3-10.1.mga8; the window cannot be resized.
> Finally figured out what's the problem.
> The issue with openyathzee is caused by a regression in wxgtk 3.1.5, but
> it's fixed in upstream GIT with the following commits:

> The problem is that if I apply those patches, I need to rebuild all pkgs
> requiring lib(64)wx_gtk3u_core3.1_5 again. :\
Out of the question in the circumstances.
What do we do? Hope nobody uses it (very likely)? If they do, they will raise a bug, and we will have to go through the whole wxgtk3.1-3.1.5-x business again. For a game?
 $ urpmq --whatrequires lib64wx_gtk3u_core3.1_5 | uniq
produces a huge list - 76.

fskbsetting OK
-----------
Installed prev fskbsetting-0.3.5-6.mga8, it crashed, no surprise.
Updated it to  fskbsetting-0.3.5-6.1.mga8, it opens OK. Initial window slightly small, but resizable.

codelite OK ?
--------
Note this pulled in also:
  lib64wx_gtk3u_wxsqlite3_3.1_0  4.6.4        1.mga8        x86_64
which is not in our list to update.
Current codelite-14.0-4.mga8, crashed, expected.
Updated:
- codelite-14.0-4.1.mga8.x86_64
- lib64wx_gtk3u_wxsqlite3_3.1_0-4.6.4-1.1.mga8.x86_64
Selecting codelit to update did *not* automatically select the lib64wx_gtk3u_wxsqlite3_3.1_0 update; I think it should have. I looked for it & ticked it manually. Where did this update come from?
BTAIM, the updated application worked.
Comment 52 Thomas Backlund 2022-01-15 22:11:42 CET
(In reply to Jani Välimaa from comment #50)
> (In reply to Lewis Smith from comment #46)
> > Created attachment 13084 [details]
> > Showing too-small yahtzee window after update
> > 
> > With openyahtzee-1.9.3-10.1.mga8; the window cannot be resized.
> Finally figured out what's the problem.
> 

> 
> The problem is that if I apply those patches, I need to rebuild all pkgs
> requiring lib(64)wx_gtk3u_core3.1_5 again. :\

what about going the other way... would it work to rebuild openyahtzee against wxgtk3.0 ?
Comment 53 Dave Hodgins 2022-01-15 22:32:58 CET
(In reply to Lewis Smith from comment #51)
> Re-checking new diff-pdf-0.4.1-4.1.mga8   OK
>                 --------
> It seems to need either the --output-diff parameter (Dave) to produce an
> output file; or the --view parameter (Morgan); to actually do something.

With neither option, it just sets a return code, which can be useful in
scripts.
Comment 54 Jani Välimaa 2022-01-16 11:55:55 CET
(In reply to Jani Välimaa from comment #50)
> (In reply to Lewis Smith from comment #46)
> > Created attachment 13084 [details]
> > Showing too-small yahtzee window after update
> > 
> > With openyahtzee-1.9.3-10.1.mga8; the window cannot be resized.
> Finally figured out what's the problem.
> 
> The issue with openyathzee is caused by a regression in wxgtk 3.1.5, but
> it's fixed in upstream GIT with the following commits:
> https://github.com/wxWidgets/wxWidgets/commit/
> 136574b1e0ca3a7165d379261952dfb3fb2f5ca6
> https://github.com/wxWidgets/wxWidgets/commit/
> 912f4b76ac42a79ff772cc9ea5cf8cb5c3f09960
> 
> The problem is that if I apply those patches, I need to rebuild all pkgs
> requiring lib(64)wx_gtk3u_core3.1_5 again. :\
> 
> Openyahtzee launched with fixed wxgtk crashes with undefined symbols:
> $ openyahtzee 
> openyahtzee: symbol lookup error: openyahtzee: undefined symbol:
> _ZN19wxTopLevelWindowGTK29WXSetInitialFittingClientSizeEi, version WXU_3.1

FYI. Installed all pkgs requiring lib(64)wx_gtk3u_core3.1_5 and grepped libraries and binaries for WXSetInitialFittingClientSize usage and the result is that 44 pkgs are using the symbol.
Comment 55 Jani Välimaa 2022-01-16 11:57:50 CET
Created attachment 13086 [details]
Package list

Package list for comment 50.
Comment 56 Jani Välimaa 2022-01-16 11:58:43 CET
(In reply to Jani Välimaa from comment #55)
> Created attachment 13086 [details]
> Package list
> 
> Package list for comment 50.
For comment 54 actually.
Comment 57 Lewis Smith 2022-01-16 17:24:50 CET
@Jani
(In reply to Thomas Backlund from comment #52)
> (In reply to Jani Välimaa from comment #50)
> > (In reply to Lewis Smith from comment #46)
> > > Created attachment 13084 [details]
> > > Showing too-small yahtzee window after update
> > > With openyahtzee-1.9.3-10.1.mga8; the window cannot be resized.
> >
> > Finally figured out what's the problem.
> > The problem is that if I apply those patches, I need to rebuild all pkgs
> > requiring lib(64)wx_gtk3u_core3.1_5 again. :\
> 
> what about going the other way... would it work to rebuild openyahtzee
> against wxgtk3.0 ?
I had already thought of this, it looks ideal for the moment.
It is exactly what Philippe did for opencpn comment 8.
Comment 58 Jani Välimaa 2022-01-16 18:22:25 CET
(In reply to Lewis Smith from comment #57)
> @Jani
> (In reply to Thomas Backlund from comment #52)
> > (In reply to Jani Välimaa from comment #50)
> > > (In reply to Lewis Smith from comment #46)
> > > > Created attachment 13084 [details]
> > > > Showing too-small yahtzee window after update
> > > > With openyahtzee-1.9.3-10.1.mga8; the window cannot be resized.
> > >
> > > Finally figured out what's the problem.
> > > The problem is that if I apply those patches, I need to rebuild all pkgs
> > > requiring lib(64)wx_gtk3u_core3.1_5 again. :\
> > 
> > what about going the other way... would it work to rebuild openyahtzee
> > against wxgtk3.0 ?
> I had already thought of this, it looks ideal for the moment.
> It is exactly what Philippe did for opencpn comment 8.
It's doable, but please also note that we have 36 out of 44 pkgs mentioned in attachment 13086 [details] using wxSizer::SetSizeHints() directly or indirectly via wxWindow::SetSizerAndFit(). Hopefully not all are affected.
Comment 59 Lewis Smith 2022-01-16 21:37:12 CET
gnudl OK ???
-----
OLD: gnudl-1.0.0-1.2.mga8, pulls in a lot (36).
Enigmatic. No menu entry for gnudl, nor the only binary gdl. It started from the command prompt,
 $ gdl
  GDL - GNU Data Language, Version 1.0.0
- For basic information type HELP,/INFO
- Default library routine search path used (GDL_PATH/IDL_PATH env. var. not set): /usr/share/gnudatalanguage/lib
- Using WxWidgets as graphics library (windows and widgets).
- No startup file read (GDL_STARTUP/IDL_STARTUP env. var. not set). 
- Please report bugs, feature or help requests and patches at: https://github.com/gnudatalanguage/gdl
OpenCL: Failed to get number of platforms with clGetPlatformIDs(): -1001
OpenCL: Failed to get number of platforms with clGetPlatformIDs(): -1001
GDL> 
'exit' to leave. No GUI.
Can someone else try this?

NEW: gnudl-1.0.0-1.3.mga8 behaved identically. Do not know how to push it to a GUI.

gnuplot OK (comments 36,39)
-------

openbabel OK ???
---------
OLD: openbabel-2.4.1-14.mga8, the only other listed rpms pulled in was:
 lib64openbabel5-2.4.1-14.mga8
Menu entry did nothing, command is not 'babel' but:
 $ obabel
No input file or format spec or possibly a misplaced option.
Most options must come after the input files. (-i -o -O -m can be anywhwere.)
Open Babel 2.4.1 -- Jan  1 2021 -- 18:07:43
Usage:
obabel [-i<input-type>] <infilename> [-o<output-type>] -O<outfilename> [Options]
Try  -H option for more information.
 so do not know how to drive it.

NEW:
- lib64openbabel5-2.4.1-14.1.mga8.x86_64
- openbabel-2.4.1-14.1.mga8.x86_64
Again, ticking just the application did *not* automatically add the lib, I ticked it manually.
From menu, Lo! a GUI. So it basically works, but a problem: the window is deeper than the desktop. You can Alt/drag it higher to see the bottom, and shrink it vertically; but when you have, there is *no scroll bar*.
Can somebody else play with this pre the gtk updates to see whether this behaviour is new?

mediainfo OK ?
---------
BEFORE update:
 mediainfo-gui-common-20.09-2.mga8
 mediainfo-20.09-2.mga8
 mediainfo-gui-qt-20.09-2.mga8
 mediainfo-gui-wx-20.09-2.mga8
-gui:
"./src/gtk/window.cpp(2443): assert "m_wxwindow" failed in AddChildGTK(): Cannot add a child to a window without a client area"  Sort of expected.
-qt    GUI worked, starts by wanting a file.
AFTER update:
 mediainfo-gui-wx-20.09-2.1.mga8
 mediainfo-gui-common-20.09-2.1.mga8
 mediainfo-20.09-2.1.mga8
 mediainfo-gui-qt-20.09-2.1.mga8
-gui   Looks good, but LH icons have no bubble help. Different GUI from...
-qt    Works like previously, bubble help works.

radiotray-ng XXX
------------
Curr version: radiotray-ng-0.2.7-12.mga8 fails, expected due to mixed lib versions; from terminal:
"(radiotray-ng:31529): Gdk-CRITICAL **: 21:22:46.771: gdk_window_thaw_toplevel_updates: assertion 'window-update_and_descendants_freeze_count > 0' failed"
 But the program continues to run without GUI.

New version:  radiotray-ng-0.2.7-12.1.mga8
The GUI 'Radiotray-ng bookmark editor' works.
Launching the base application does *not* pop a GUI. Should it? However, it is left running invisibly. From terminal produces the same error as pre-update. Not good.
Comment 60 Lewis Smith 2022-01-17 21:50:30 CET
With updated GTK etc bits. X64.

plplot XXX
------
Old: plplot-5.15.0-18.mga8, which pulled in 14 things in all (see comment 21).
Of the 4 binaries:
/usr/bin/plserver
/usr/bin/pltcl
/usr/bin/pltek
/usr/bin/wxPLViewer
I could find none of the names in any menu, and from a terminal, they all - no panick - failed.

New:
- lib64csiro0-5.15.0-18.1.mga8.x86_64
- lib64plplot17-5.15.0-18.1.mga8.x86_64
- lib64plplotcxx15-5.15.0-18.1.mga8.x86_64
- lib64plplottcltk14-5.15.0-18.1.mga8.x86_64
- lib64plplottcltk_main1-5.15.0-18.1.mga8.x86_64
- lib64plplotwxwidgets1-5.15.0-18.1.mga8.x86_64
- lib64qsastime0-5.15.0-18.1.mga8.x86_64
- lib64tclmatrix10-5.15.0-18.1.mga8.x86_64
- plplot-5.15.0-18.1.mga8.x86_64

 $ pltcl
did nothing, returned at once.
 $ pltek
Usage: pltek filename 
At the prompt, the following replies are recognized:
   h,?	  Give this help message.
    q	  Quit program.
   <n>	  Go to the specified page number.
   -<n>   Go back <n> pages.
   +<n>   Go forward <n> pages.
 <Return> Go to the next page.
 $ wxPLViewer
xPlViewerApp::OnInit: error when creating wxPlFrame instance.  The message was Error initializing the shared memory and/or mutex needed for the application. The application will close
Can somebody else try this application *before* all the updates?

spek OK
----
Prev: spek-0.8.3-15.mga8 failed "./src/gtk/window.cpp(2443): assert "m_wxwindow" failed in AddChildGTK(): Cannot add a child to a window without a client area", no surprise.
New:  spek-0.8.3-15.1.mga8, worked. (Dated 2013!)

scorched3d OK
----------
Old: scorched3d-44-14.mga8, not unexpectedly (mixed libs) crashed.
New: scorched3d-44-14.1.mga8, works fine.

slade OK
-----
Prev: slade-3.2.0-0.b2.3.mga8, not trying any more!
Upd:  slade-3.2.0-0.b2.3.1.mga8 looks to work fine.

tintii XXX
------
Old: tintii-2.10.0-12.mga8
Upd: tintii-2.10.0-12.1.mga8, did not work:
"./src/common/wincmn.cpp(2490): assert ""!m_containingSizer"" failed in SetContainingSizer(): Adding a window already in a sizer, detach it first!"
twice, dismissing these 'continue' did lead to the GUI.
Opening an image file led to:
"./src/common/sizer.cpp(2109): assert "!(flags & (wxALIGN_RIGHT | wxALIGN_CENTRE_HORIZONTAL))" failed in DoInsert(): Horizontal alignment flags are ignored with wxEXPAND"
Continuing eventually showed a tiny 'thumbnail', then it crashes.
Can someone see whether this worked before? Or even now.

trustedqsl OK
----------
issued:  trustedqsl-2.5.7-2.mga8, crashed, normal
updated: trustedqsl-2.5.7-2.1.mga8 looks to work fine.

urbanlightscape OK ?
---------------
issued:  urbanlightscape-1.4.0-12.mga8, not tried.
updated: urbanlightscape-1.4.0-12.1.mga8 pops its GUI, then:
"./src/common/sizer.cpp(2109): assert "!(flags & (wxALIGN_RIGHT | wxALIGN_CENTRE_HORIZONTAL))" failed in DoInsert(): Horizontal alignment flags are ignored with wxEXPAND"
clicking 'continue' ends up with a working application.
Comment 61 Lewis Smith 2022-01-18 21:59:12 CET
re earlier comment 59
> mediainfo OK ?, OK seconded in comment 59.
re the previous comment 60, I should have looked at my own earlier comment 33:
> radiotray-ng-0.2.7-12.1 comment 27 tested OK
> urbanlightscape comment 18 tested OK

vbam OK
----
Prev: vbam-2.1.4-1.mga8, not tested (mixed gtk libs)
Upd:  vbam-2.1.4-1.1.mga8, seems to work, enigmatic how. Responsive GUI.
On urpme'ing this, its library lib64sfml2.5 (installed with it) was *not* pulled also, nor noted as an orphan. I removed it explicitly.

veracrypt OK
---------
Curr: veracrypt-1.24u7-7.mga8, did not try.
Upd:  veracrypt-1.24u7-7.1.mga8 looks to work, responsive GUI.

openmsx OK ?
-------
Original: openmsx-0.15.0-9.mga8, just installed it.
Updated:  openmsx-0.15.0-9.1.mga8, no menu entry, from terminal:
 $ openmsx
 info: SRAM file cbios-msx2+.cmos not found, assuming blank SRAM content.
pops an intial CBIOS window, which quickly goes to another saying:
" No cartridge found. This version of C-BIOS can only start cartridges. Please re-start your MSX (emulator) with a cartridge inserted".
Was this so with the pre-update version of everything?
No evident way to end it other than killing either the window or command.

woeusb OK ?
------
Create a Windows USB from a real Windows DVD or image
Current: woeusb-3.3.1-4.mga8, not tried;
Update:  woeusb-3.3.1-4.1.mga8
"./src/common/sizer.cpp(2109): assert "!(flags & (wxALIGN_RIGHT | wxALIGN_CENTRE_HORIZONTAL))" failed in DoInsert(): Horizontal alignment flags are ignored with wxEXPAND"
'Continue' leads to a working GUI.

wxformbuilder OK (also in comment 39)
-------------
Original: wxformbuilder-3.9.0-1.git20201102.2.mga8, pulled in also:
          lib64wx_gtk3u_media3.1_5. Did not try it.
Updated:  wxformbuilder-3.9.0-1.git20201102.2.1.mga8
          lib64wx_gtk3u_media3.1_5-3.1.5-1.mga8
Displays a large & comprehensive GUI - with no help! Looks good.

wxhexeditor X ???
-----------
I already had installed wxhexeditor-0.24-9.mga8, known not to work properly (bug 29869). Updated it to wxhexeditor-0.24-9.3.mga8
ex https://bugs.mageia.org/show_bug.cgi?id=29869#c10
and as far as I know, all the necessary wxgtk3.1-3.1.5-1 updates in place:
 lib64wx_baseu3.1_5-3.1.5-1.mga8
 lib64wx_baseu_net3.1_5-3.1.5-1.mga8
 lib64wx_baseu_xml3.1_5-3.1.5-1.mga8
 lib64wx_gtk3u_aui3.1_5-3.1.5-1.mga8
 lib64wx_gtk3u_core3.1_5-3.1.5-1.mga8
 lib64wx_gtk3u_gl3.1_5-3.1.5-1.mga8
 lib64wx_gtk3u_html3.1_5-3.1.5-1.mga8
 lib64wx_gtk3u_media3.1_5-3.1.5-1.mga8
 lib64wx_gtk3u_propgrid3.1_5-3.1.5-1.mga8
 lib64wx_gtk3u_qa3.1_5-3.1.5-1.mga8
 lib64wx_gtk3u_ribbon3.1_5-3.1.5-1.mga8
 lib64wx_gtk3u_richtext3.1_5-3.1.5-1.mga8
 lib64wx_gtk3u_stc3.1_5-3.1.5-1.mga8
 lib64wx_gtk3u_xrc3.1_5-3.1.5-1.mga8
 python3-opengl-3.1.5-1.mga8
 wxgtk3.1-3.1.5-1.mga8
It segfaulted immediately. This is not in agreement with:
 https://bugs.mageia.org/show_bug.cgi?id=29869#c11

Can somebody cross-check? Is there a wxgtk3.1 pkg missing? All my 3.1.5 versions of these are 3.1.5-1, i.e. none not updated.
Comment 62 Dave Hodgins 2022-01-18 22:14:54 CET
wxhexeditor on x86_64 is working ok here.
$ rpm -qa|grep -e wxhex -e wx_gtk|sort
lib64wx_gtk3u_aui3.1_5-3.1.5-1.mga8
lib64wx_gtk3u_core3.1_5-3.1.5-1.mga8
lib64wx_gtk3u_html3.1_5-3.1.5-1.mga8
lib64wx_gtk3u_propgrid3.1_5-3.1.5-1.mga8
lib64wx_gtk3u_qa3.1_5-3.1.5-1.mga8
lib64wx_gtk3u_richtext3.1_5-3.1.5-1.mga8
lib64wx_gtk3u_webview3.1_5-3.1.5-1.mga8
lib64wx_gtk3u_wxsqlite3_3.1_0-4.6.4-1.1.mga8
lib64wx_gtk3u_xrc3.1_5-3.1.5-1.mga8
wxhexeditor-0.24-9.3.mga8

Double check /etc/urpmi/skip.list if the package list installed doesn't match
the above.
Comment 63 Dave Hodgins 2022-01-18 22:19:39 CET
Confirming the woeusb assertion failure and that selecting continue does get
to the gui. The backtrace ...
ASSERT INFO:
./src/common/sizer.cpp(2109): assert "!(flags & (wxALIGN_RIGHT | wxALIGN_CENTRE_HORIZONTAL))" failed in DoInsert(): Horizontal alignment flags are ignored with wxEXPAND

BACKTRACE:
[1] wxBoxSizer::DoInsert(unsigned long, wxSizerItem*)
[2] std::__cxx11::basic_stringbuf<char, std::char_traits<char>, std::allocator<char> >::~basic_stringbuf()
[3] std::__cxx11::basic_stringbuf<char, std::char_traits<char>, std::allocator<char> >::~basic_stringbuf()
[4] wxEntry(int&, wchar_t**)
[5] __libc_start_main

Note You need to log in before you can comment on or make changes to this bug.